import deadpixel.revkeystone.*;

ReverseKeystone rks;
ReverseCornerPinSurface surface;

PImage img;


void setup() {

  img = loadImage("HPI.jpg");
  size(img.width, img.height, P3D);


  rks = new ReverseKeystone(this); 
  surface = rks.createReverseCornerPinSurface(400, 300, 5);


}

void draw() {

  image(img,0,0);
  surface.render(img);
}



void keyPressed() {

  switch(key) {
  case 'c':
    rks.toggleCalibration();
    break;

  case 'r': 
    rks.makeRectangular(); 
    break;

  case 's': 
    rks.save(); 
    break;
  case 'l': 
    rks.load(); 
    break;

  }

}



